Core drivers reference
======================

These drivers are for the core device and the peripherals closely integrated into it, which do not use the controller mechanism.

:mod:`artiq.coredevice.core` module
-----------------------------------

.. automodule:: artiq.coredevice.core
    :members:

:mod:`artiq.coredevice.ttl` module
----------------------------------

.. automodule:: artiq.coredevice.ttl
    :members:

:mod:`artiq.coredevice.dds` module
----------------------------------

.. automodule:: artiq.coredevice.dds
    :members:

:mod:`artiq.coredevice.dma` module
----------------------------------

.. automodule:: artiq.coredevice.dma
    :members:

:mod:`artiq.coredevice.spi` module
----------------------------------

.. automodule:: artiq.coredevice.spi
    :members:

:mod:`artiq.coredevice.ad5360` module
-------------------------------------

.. automodule:: artiq.coredevice.ad5360
    :members:

:mod:`artiq.coredevice.i2c` module
----------------------------------

.. automodule:: artiq.coredevice.i2c
    :members:

:mod:`artiq.coredevice.cache` module
------------------------------------

.. automodule:: artiq.coredevice.cache
    :members:

:mod:`artiq.coredevice.exceptions` module
-----------------------------------------

.. automodule:: artiq.coredevice.exceptions
    :members:

:mod:`artiq.coredevice.spline` module
-------------------------------------

.. automodule:: artiq.coredevice.spline
    :members:

:mod:`artiq.coredevice.sawg` module
-----------------------------------

.. automodule:: artiq.coredevice.sawg
    :members:
